Subject: RE: [lojban] Tidying notes on {goi}

From: "And Rosta" <[email-masked]>
Date: Sat, 28 Jul 2001 22:29:53 +0100

Jorge:
> la pycyn cusku di'e
> 
> >Cowan:
> ><IIRC when you quantify a variable that has already been bound,it is just a
> >normal quantifier, so the second {su'o da} means "one or more of (the
> >existing) da", not very useful.But ro da poi .... re da would mean "two of
> >those which etc.">
> >
> >Well, those are remarkably UNnormal quantifiers in logic, but right for 
> >that
> >part of lojban that has the standard sumti as quantifier-gadri-bridi.i.e.,
> >quantifier-sumti. The point is also correct.
> 
> What has the world come to? I thought pc was going to be horrified
> at this new binding of an already bound variable!
> 
> Anyway, how do we read this then:
> 
> ro da poi prenu zo'u da prami su'o da
> 
> Is that {ro da poi prenu zo'u da prami da}, or is it
> {ro da poi prenu ku'o ro de poi prenu zo'u da prami de}?

I must have misunderstood. I glorked that the idea was that "ci da poi
prenu prami re da" would mean "There are exactly three people such
that each of the three loves some two of the three".

> >Proposal (clarification?): {goi} is always defining and always takes the 
> >form
> > {x goi y}, where y is assigned the value of x.
> [...]
> >Objection. (I really need help here, since the one objection seems to be 
> >that
> >we sometimes want to do the defining in the reverse order and so need {goi}
> >not {no'u}, which is only factual, not defining. This seems to trivial to
> >bother with -- and can {goi} take {se} if it really makes a difference?)
> 
> I would say that the objection is that it is not strictly
> necessary to fix one order. In the cases where both sumti already
> have a referent, goi makes no sense. In the cases where neither
> has a referent, goi makes little sense, but none that requires the
> connectands to be in a particular order anyway. And if one has
> a referent and the other doesn't, it is clear which one gets assigned.
> Of course, the order helps when the listener is in doubt as to what
> the speaker means, so it works as a measure of redundancy.

This was the objection, but I dispute that it is always clear which
sumti has or lacks a referent.

> In any case, I find goi too cumbersome for actual use, so I don't
> have a strong opinion one way or the other.

I agree it's too cumbersome, but AFAIAA there is no equally robust
and unambiguous alternative. 

I wish there were more multiple alternative methods of doing anaphora, 
distinguished by method rather than by verbosity; I'd have been 
extremely interested to see which found most favour in usage. In fact,
if I could have designed one kosher academic research project with
loglan, it would have been this.

--And.